// Copyright (c) 2025 shibedrill
// SPDX-License-Identifier: MIT

use crate::memory::alloc::string::String;

pub fn double_fault(info: String) -> ! {
    panic!("Double fault: {}", info);
}

pub fn page_fault(addr: usize, info: String) -> ! {
    panic!("Page fault at 0x{:x}: {}", addr, info);
}
